中危 QEMU AMD PC-Net II Ethernet Controller Packet Length缓冲区溢出漏洞

CVE编号

CVE-2015-7512

利用情况

POC 已公开

补丁情况

官方补丁

披露时间

2016-01-09
漏洞描述
QEMU是法国程序员法布里斯-贝拉(Fabrice Bellard)所研发的一套模拟处理器软件。该软件具有速度快、跨平台等特点。

QEMU 2.5.0版本中的hw/net/pcnet.c文件中的‘pcnet_receive’函数中存在缓冲区溢出漏洞,该漏洞源于程序使用non-loopback模式接收数据包时,未能正确验证接收数据的大小。远程攻击者可利用该漏洞执行任意代码。
解决建议
目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:
http://www.qemu.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 qemu qemu * Up to
(including)
2.4.1
运行在以下环境
应用 qemu qemu 2.5.0 -
运行在以下环境
应用 redhat openstack 5.0 -
运行在以下环境
应用 redhat virtualization 3.0 -
运行在以下环境
系统 centos_6 qemu-kvm-tools * Up to
(excluding)
0.12.1.2-2.479.el6_7.3
运行在以下环境
系统 debian DPKG * Up to
(excluding)
1:2.5+dfsg-1
运行在以下环境
系统 debian_10 qemu * Up to
(excluding)
1:2.5+dfsg-1
运行在以下环境
系统 debian_11 qemu * Up to
(excluding)
1:2.5+dfsg-1
运行在以下环境
系统 debian_12 qemu * Up to
(excluding)
1:2.5+dfsg-1
运行在以下环境
系统 debian_7 qemu * Up to
(excluding)
1.1.2+dfsg-6a+deb7u12
运行在以下环境
系统 debian_8 qemu * Up to
(excluding)
1:2.1+dfsg-12+deb8u7
运行在以下环境
系统 fedora_22 xen-hypervisor * Up to
(excluding)
2.3.1-8.fc22
运行在以下环境
系统 fedora_23 xen-hypervisor * Up to
(excluding)
2.4.1-2.fc23
运行在以下环境
系统 opensuse_13.2 xen-tools-domU * Up to
(excluding)
4.4.4_02-43.1
运行在以下环境
系统 opensuse_Leap_42.1 xen-libs-32bit * Up to
(excluding)
2.3.1-12.1
运行在以下环境
系统 oracle_6 oraclelinux-release * Up to
(excluding)
0.12.1.2-2.479.el6_7.3
运行在以下环境
系统 redhat_6 qemu-guest-agent * Up to
(excluding)
2:0.12.1.2-2.479.el6_7.3
运行在以下环境
系统 suse_11_SP3 kvm * Up to
(excluding)
1.4.2-37.1
运行在以下环境
系统 suse_11_SP4 kvm * Up to
(excluding)
4.4.4_02-32.1
运行在以下环境
系统 suse_12 qemu * Up to
(excluding)
2.0.2-48.12.1
运行在以下环境
系统 suse_12_SP1 xen * Up to
(excluding)
2.3.1-7.7
运行在以下环境
系统 ubuntu_12.04.5_lts qemu-kvm * Up to
(excluding)
1.0+noroms-0ubuntu14.26
运行在以下环境
系统 ubuntu_14.04 qemu * Up to
(excluding)
2.0.0+dfsg-2ubuntu1.21
运行在以下环境
系统 ubuntu_14.04.6_lts qemu * Up to
(excluding)
2.0.0+dfsg-2ubuntu1.21
阿里云评分
4.1
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    POC 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-120 未进行输入大小检查的缓冲区拷贝(传统缓冲区溢出)
阿里云安全产品覆盖情况